package com.ccnode.codegenerator.ai;

package .tmp;

import com.ccnode.codegenerator.ae.D;
import com.intellij.lang.Language;
import com.intellij.lang.injection.MultiHostInjector;
import com.intellij.lang.injection.MultiHostRegistrar;
import com.intellij.openapi.util.TextRange;
import com.intellij.psi.PsiComment;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.PsiLanguageInjectionHost;
import com.intellij.sql.psi.SqlLanguage;
import java.util.List;
import kotlin.Metadata;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt;
import org.jetbrains.annotations.NotNull;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000(\n\002\030\002\n\002\030\002\n\002\b\002\n\002\020 \n\002\030\002\n\002\030\002\n\000\n\002\020\002\n\000\n\002\030\002\n\002\b\002\030\0002\0020\001B\005¢\006\002\020\002J\026\020\003\032\020\022\f\022\n\022\006\b\001\022\0020\0060\0050\004H\026J\030\020\007\032\0020\b2\006\020\t\032\0020\n2\006\020\013\032\0020\006H\026¨\006\f"}, d2 = {"Lcom/ccnode/codegenerator/xmlTextSqlInjector/CommentTableNameInjector;", "Lcom/intellij/lang/injection/MultiHostInjector;", "()V", "elementsToInjectIn", "", "Ljava/lang/Class;", "Lcom/intellij/psi/PsiElement;", "getLanguagesToInject", "", "registrar", "Lcom/intellij/lang/injection/MultiHostRegistrar;", "context", "MyBatisCodeHelper-Pro241"})
public final class b implements MultiHostInjector {
  public void getLanguagesToInject(@NotNull MultiHostRegistrar paramMultiHostRegistrar, @NotNull PsiElement paramPsiElement) {
    Intrinsics.checkNotNullParameter(paramMultiHostRegistrar, "");
    Intrinsics.checkNotNullParameter(paramPsiElement, "");
    PsiComment psiComment = (PsiComment)paramPsiElement;
    String str = psiComment.getText();
    PsiFile psiFile = psiComment.getContainingFile();
    if (D.a.a(psiFile)) {
      String str1 = "<!--@Table";
      Intrinsics.checkNotNull(str);
      if (StringsKt.startsWith$default(str, str1, false, 2, (Object)null)) {
        paramMultiHostRegistrar.startInjecting((Language)SqlLanguage.INSTANCE);
        paramMultiHostRegistrar.addPlace("select * from ", "", (PsiLanguageInjectionHost)psiComment, new TextRange(str1.length(), str.length() - 3));
        paramMultiHostRegistrar.doneInjecting();
      } 
    } 
  }
  
  @NotNull
  public List<Class<? extends PsiElement>> elementsToInjectIn() {
    return (List)CollectionsKt.listOf(PsiComment.class);
  }
}
